## groovy.util.slurpersupport
Class FilteredNodeChildren

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.FilteredNodeChildren

All Implemented Interfaces:
  Buildable, GroovyObject, Writable

    public class FilteredNodeChildren

extends GPathResult

Author:
  John Wilson

Field Summary

Fields inherited from class groovy.util.slurpersupport.GPathResult
`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

Constructor Summary
`FilteredNodeChildren(GPathResult parent, Closure closure, Map namespaceTagHints)`

Method Summary
`protected void` `appendNode(Object newValue)`
`void` `build(GroovyObject builder)`
`Iterator` `childNodes()`
`GPathResult` `find(Closure closure)`
`GPathResult` `findAll(Closure closure)`
`Iterator` `iterator()`
`Iterator` `nodeIterator()`
`GPathResult` `parents()`
`protected void` `replaceBody(Object newValue)`
`protected void` `replaceNode(Closure newValue)`
`int` `size()`
`String` `text()`
`Writer` `writeTo(Writer out)` writes this object to the given stream

Methods inherited from class groovy.util.slurpersupport.GPathResult
`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilteredNodeChildren

    public FilteredNodeChildren(GPathResult parent,
                                Closure closure,
                                Map namespaceTagHints)

Method Detail

### iterator

    public Iterator iterator()

### nodeIterator

    public Iterator nodeIterator()

### childNodes

    public Iterator childNodes()

  Specified by:
    `childNodes` in class `GPathResult`

### parents

    public GPathResult parents()

  Specified by:
    `parents` in class `GPathResult`

### size

    public int size()

  Specified by:
    `size` in class `GPathResult`

### text

    public String text()

  Specified by:
    `text` in class `GPathResult`

### find

    public GPathResult find(Closure closure)

  Specified by:
    `find` in class `GPathResult`

### findAll

    public GPathResult findAll(Closure closure)

  Specified by:
    `findAll` in class `GPathResult`

### build

    public void build(GroovyObject builder)

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`
  writes this object to the given stream

  Throws:
    `IOException`

### replaceNode

    protected void replaceNode(Closure newValue)

  Specified by:
    `replaceNode` in class `GPathResult`

### replaceBody

    protected void replaceBody(Object newValue)

  Specified by:
    `replaceBody` in class `GPathResult`

### appendNode

    protected void appendNode(Object newValue)

  Specified by:
    `appendNode` in class `GPathResult`

Copyright © 2003-2008 The Codehaus. All rights reserved.